import { Routes } from '@angular/router';
import { NavMobileTabs } from '../modules/food/mobile/nav-mobile-tabs/nav-mobile-tabs';

export const routes: Routes = [
  {
    path:'',
    pathMatch:"full",
    redirectTo:"/menu/mine"
  },
  {
    path:"menu",
    component:NavMobileTabs,
    children:[
       {
        path: 'home',
        loadComponent: () => import('../modules/food/mobile/page-home/page-home').then(m => m.PageHomeComponent)
      },
       {
        path: 'story',
        loadComponent: () => import('../modules/food/mobile/page-story/page-story').then(m => m.PageStory)
      },
         {
        path: 'reserve',
        loadComponent: () => import('../modules/food/mobile/page-reserve/page-reserve').then(m => m.DiscoverComponent)
      },
         {
        path: 'order',
        loadComponent: () => import('../modules/food/mobile/page-order/page-order').then(m => m.PageOrderComponent)
      },
         {
        path: 'mine',
        loadComponent: () => import('../modules/food/mobile/page-mine/page-mine.component').then(m => m.PageMineComponent)
      },
    ]
  }
  ,
 {
    path: 'menus',
    loadComponent: () => import('../modules/food/mobile/page-menus/page-menus').then(m => m.PageMenus)
  },
      {
    path: 'dish',
    loadComponent: () => import('../modules/food/mobile/pages/dish-management/dish-management.component').then(m => m.DishManagementComponent)
  }
     
];
